/* Autor: Vinicius de Carvalho Barboza, Data: 30/12/2023 */
@import url("https://fonts.googleapis.com/css?family=Open+Sans:100,200,300,400,500,600,700,800,900");

html,
body {
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
}

h1 {
    font-size: 4rem;
    margin-bottom: 0.5rem;
}

.hr-apresentacao {
    border: none;
    height: 4px;
    background-color: white;
    width: 10%;
    margin: 1rem auto;
}

p {
    font-size: 1.25rem;
    margin-bottom: 2rem;
}

.btn {
    background-color: #E44D26;
    color: white;
    padding: 1rem 2rem;
    font-size: 1.25rem;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s;
}

.btn:hover {
    background-color: #CF4520;
}


.hr-mobile-center {
    margin-right: auto;
    margin-left: 0;
}

.feature-box {
    border: 2px solid #E44D26;
    border-radius: 5px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 300px;
}


.feature-box i {
    margin-bottom: 1rem;
    font-size: 2rem;
}

section {
    margin: 80px 0 80px 0;
    margin-bottom: 150px;
}

.pricing-card {
    background-color: #000;
    color: #fff;
    border-radius: 20px;
    padding: 1rem;
    max-width: 450px;
    text-align: center;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
    margin: 20px;
    border: 1px solid #e14a00;
}

.pricing-card .old-price {
    color: #ffffff;
    font-size: 20pt;
}

.pricing-card span {
    text-decoration: line-through;
}

.pricing-card .current-price {
    color: #ffce29;
    font-size: 3rem;
    font-weight: bold;
}

.pricing-card .btn-pricing {
    background-color: #ff511a;
    color: #ffffff;
    padding: 0.75rem 1.5rem;
    border-radius: 30px;
    font-weight: bold;
    margin-top: 1rem;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease-in-out;
    text-transform: uppercase;
    border: none;
    cursor: pointer;

}

.pricing-card .btn-pricing:hover {
    background-color: #e14a00;
    transform: translateY(-3px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
}

.pricing-card img {
    margin-top: 1rem;
    height: 1.5rem;
}

.pricing-card .payment-options {
    display: flex;
    justify-content: center;
    gap: 0.5rem;
    padding-top: 1rem;
}

em {
    color: #e14a00;
    font-style: normal;
}



/* Centralizar para telas menores que 768px */
@media (max-width: 767.98px) {
    .hr-mobile-center {
        margin-left: auto;
        margin-right: auto;
    }
}


@media (max-width: 991px) {
    .responsive-row {
        flex-direction: column-reverse;
    }
}

/* cards comentários */

.testimonial-card {
    border: none;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
}

.testimonial-card img {
    border-radius: 50%;
    width: 60px;
    height: 60px;
}

.testimonial-text {
    font-style: italic;
}

.testimonial-author {
    font-weight: bold;
    margin-top: 10px;
}

/*Timeline*/
.timeline {
    border-left: 1px solid #e14a00;
    position: relative;
    list-style: none;
    margin: 0;
}

.timeline .timeline-item {
    position: relative;
}

.timeline .timeline-item:after {
    position: absolute;
    display: block;
    top: 8px;
}

.timeline .timeline-item:after {
    background-color: #e14a00;
    left: -38px;
    border-radius: 50%;
    height: 11px;
    width: 11px;
    content: "";
}

/* 
  títulos nos módulos */

.image-container {
    position: relative;
}

.image-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
    background: linear-gradient(to top, rgb(0, 0, 0), rgba(255, 255, 0, 0));
}

.image-overlay h2 {
    margin: 0;
    color: #fff;
}

/* botões de navegação carousel */

.owl-prev {
    left: -30px;
}

.owl-next {
    right: -30px;
}

.owl-prev,
.owl-next {
    position: absolute;
    top: 90px;
}

.owl-prev span,
.owl-next span {
    font-size: 80px;
    color: rgb(255, 255, 255);
}



/* vídeo */

.video-container {
    position: relative;
    padding-bottom: 56.25%;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Barra promocional */

.promo-bar {
    background-color: #ffcc00;
    /* Cor de fundo da barra */
    color: #000;
    /* Cor do texto */
    padding: 10px 0;
    /* Espaçamento interno */
    text-align: center;
    /* Centraliza o texto */
}


/* Estilo para centralizar o texto abaixo da mensagem */
.promo-bar .countdown {
    display: block;
    margin-top: 5px;
    font-size: 15pt;
}

.close-btn {
    position: absolute;
    /* Posição absoluta */
    top: 5px;
    /* Distância do topo */
    right: 10px;
    /* Distância da direita */
    cursor: pointer;
    /* Altera o cursor ao passar por cima */
}

.fixed-bar {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #ffcc00;
    color: #000;
    text-align: center;
    padding: 10px 10%;
    z-index: 1000;
}

.black-friday-badge {
    position: absolute;
    top: -25px;
    left: -10px;
    background-color: #ff0000;
    color: #fff;
    padding: 0.5rem 1rem;
    border-radius: 10px;
    font-weight: bold;
}